commit:     057f451ef716f6bb4698ed3eb071b293c98143df
Author:     NP-Hardass <NP-Hardass <AT> gentoo <DOT> org>
AuthorDate: Tue Feb  9 01:46:41 2016 +0000
Commit:     NP Hardass <np-hardass <AT> gentoo <DOT> org>
CommitDate: Tue Feb  9 02:47:02 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=057f451e

app-editors/pluma: Import 1.10.x from Project:MATE repo

Package-Manager: portage-2.2.26

 app-editors/pluma/Manifest            |  1 +
 app-editors/pluma/pluma-1.10.2.ebuild | 88 +++++++++++++++++++++++++++++++++++
 2 files changed, 89 insertions(+)

diff --git a/app-editors/pluma/Manifest b/app-editors/pluma/Manifest
index 59f0366..66f2f20 100644
--- a/app-editors/pluma/Manifest
+++ b/app-editors/pluma/Manifest
@@ -1 +1,2 @@
+DIST pluma-1.10.2.tar.xz 3442784 SHA256 
c0614334dc99e5dde73cbda6cb561cb1a5dc3e3269d74a4134095f9abf73c89a SHA512 
bb41e18419fee07c812ebebb9802a77c325d876d05d37e1e9229e4228b0939ef8c80b1377922b94f02a7b7d02fbff62d4e4959815bd94d5b0da3bfa1afebae60
 WHIRLPOOL 
2edf0078267887af4349537f3c36f7971ab9aad66219e02fe41e47cacc9b91408e668c2294a8c6d6a497b68017b704fe7c7c17fe7ff22030b4c36e330b0def5a
 DIST pluma-1.8.1.tar.xz 3409032 SHA256 
38accc5c05062981a0649874300bc21ab3ad1a5ef47491186dffe7c035ed9e8b SHA512 
4429b95a6c692c524db481cc53a3d9d5fd252a2aafa49daf787df5d7b389806f520233bc054b701a3ca47a5df5917cf934dafee8327b0ac01b7fe25059b6adea
 WHIRLPOOL 
c1e61e32bc657b7097292869acd57e69b6c67d0610db0644c38141ca4e94b34b0b3bc3b941fc79b444c2f56d3140210f117fc80bfc2102b97d4f45af9e9e2057

diff --git a/app-editors/pluma/pluma-1.10.2.ebuild 
b/app-editors/pluma/pluma-1.10.2.ebuild
new file mode 100644
index 0000000..4fb8f76
--- /dev/null
+++ b/app-editors/pluma/pluma-1.10.2.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+GCONF_DEBUG="yes"
+GNOME2_LA_PUNT="yes"
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit gnome2 multilib python-single-r1 versionator virtualx
+
+MATE_BRANCH="$(get_version_component_range 1-2)"
+
+SRC_URI="http://pub.mate-desktop.org/releases/${MATE_BRANCH}/${P}.tar.xz";
+DESCRIPTION="Pluma text editor for the MATE desktop"
+HOMEPAGE="http://mate-desktop.org";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="python spell"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+# Tests require gvfs sftp fs mounted and schema's installed. Disable tests.
+# https://github.com/mate-desktop/mate-text-editor/issues/33
+RESTRICT="test"
+
+RDEPEND="app-text/rarian:0
+       dev-libs/atk:0
+       >=dev-libs/glib-2.36:2
+       >=dev-libs/libxml2-2.5:2
+       >=mate-base/mate-desktop-1.10:0
+       x11-libs/cairo:0
+       x11-libs/gdk-pixbuf:2
+       >=x11-libs/gtk+-2.24:2
+       >=x11-libs/gtksourceview-2.9.7:2.0
+       x11-libs/libICE:0
+       x11-libs/libX11:0
+       >=x11-libs/libSM-1.0
+       x11-libs/pango:0
+       virtual/libintl:0
+       spell? (
+               >=app-text/enchant-1.2:0
+               >=app-text/iso-codes-0.35:0
+       )
+       python? (
+               ${PYTHON_DEPS}
+               >=dev-python/pygobject-2.15.4:2[${PYTHON_USEDEP}]
+               >=dev-python/pygtk-2.12:2[${PYTHON_USEDEP}]
+               >=dev-python/pygtksourceview-2.9.2:2
+       )
+       !!app-editors/mate-text-editor"
+
+DEPEND="${RDEPEND}
+       ~app-text/docbook-xml-dtd-4.1.2
+       >=app-text/scrollkeeper-dtd-1:1.0
+       app-text/yelp-tools:0
+       >=dev-util/intltool-0.40:*
+       >=sys-devel/libtool-2.2.6:2
+       >=mate-base/mate-common-1.10:0
+       >=sys-devel/gettext-0.17:*
+       virtual/pkgconfig:*"
+
+pkg_setup() {
+       use python && python-single-r1_pkg_setup
+}
+
+src_configure() {
+       gnome2_src_configure \
+               --disable-updater \
+               $(use_enable python) \
+               $(use_enable spell)
+}
+
+DOCS="AUTHORS ChangeLog NEWS README"
+
+src_test() {
+       # FIXME: This should be handled at eclass level.
+       "${EROOT}${GLIB_COMPILE_SCHEMAS}" --allow-any-name "${S}/data" || die
+
+       unset DBUS_SESSION_BUS_ADDRESS
+
+       GSETTINGS_SCHEMA_DIR="${S}/data" Xemake check
+}

Reply via email to